**Source URL:** https://general.veevavault.dev/sitevault/vault-api/api-reference/26.1/documents/document-attachments/determine-if-a-document-has-attachments.md

# Determine if a Document has Attachments



<Endpoint path="/api/{version}/objects/documents/{doc_id}" method="GET"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/documents/565

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "document": {
        "id": 128,
        "version_id": "128_5_0",
    },
    "attachments": [
        {
            "id": 1901,
            "url": "https://myvault.veevavault.com/api/v25.3/objects/documents/128/attachments/1901"
        }
    ]
}

```
</CodeExample>

## Response Details {#response-details}

This endpoint does not retrieve the number of versions of each attachment or the attachment metadata. The `attachments` attribute is displayed in the response for documents where attachments have been enabled on the document type (even if the document has no attachments).



---

**Previous:** [Document Attachments](/sitevault/vault-api/api-reference/26.1/documents/document-attachments)  
**Next:** [Retrieve Document Attachments](/sitevault/vault-api/api-reference/26.1/documents/document-attachments/retrieve-document-attachments)